Ubuntu

1002:6739 [Asus P6T] radeon 0000:02:00.0: GPU lockup CP stall for more than 10000msec

Reported by Yvon TANGUY on 2012-04-21
168
This bug affects 33 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Often, the Xorg session freeze, go to black screen, and is display again. Most of the time Xorg stop to respond.

I'm not sure what exactly is the cause of the problem, probably some instructions send to the GPU by compiz, which make the kernel GPU code to be locked. So my supposition is that the kernel code can have a deadlock situation.

The only trace of error I have is in the kernel log (the kernel itself do not crashed):

[ 808.804250] radeon 0000:02:00.0: GPU lockup CP stall for more than 10000msec
[ 808.804255] GPU lockup (waiting for 0x0000A23F last fence id 0x0000A23E)
[ 808.805394] radeon 0000:02:00.0: GPU softreset
[ 808.805398] radeon 0000:02:00.0: GRBM_STATUS=0xB2703828
[ 808.805401] radeon 0000:02:00.0: GRBM_STATUS_SE0=0x1C000007
[ 808.805404] radeon 0000:02:00.0: GRBM_STATUS_SE1=0x08000007
[ 808.805407] radeon 0000:02:00.0: SRBM_STATUS=0x200000C0
[ 808.805422] radeon 0000:02:00.0: GRBM_SOFT_RESET=0x00007F6B
[ 808.805526] radeon 0000:02:00.0: GRBM_STATUS=0x00003828
[ 808.805529] radeon 0000:02:00.0: GRBM_STATUS_SE0=0x00000007
[ 808.805532] radeon 0000:02:00.0: GRBM_STATUS_SE1=0x00000007
[ 808.805535] radeon 0000:02:00.0: SRBM_STATUS=0x200000C0
[ 808.806535] radeon 0000:02:00.0: GPU reset succeed
[ 808.832454] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[ 808.832587] radeon 0000:02:00.0: WB enabled
[ 808.849202] [drm] ring test succeeded in 2 usecs
[ 808.849217] [drm] ib test succeeded in 3 usecs

This can loop 1 to 5 times, with a few seconds between them. This situation can happens any time, and rarely I can continue to use my session.
Like I said, the kernel itself do not crash, generally, I login using an another computer with ssh, and type "sudo reboot".

I have earch a little for that problem, I've found some, having "GPU lockup CP stall for more than 10000msec" but they seems to not be related to my problem.

My ATI card is an "Sapphire Radeon HD 6850 1Go", and I use the free software driver. Using the previous version of Ubuntu I didn't have this error.

I have almost no hope to have this bug fixed (too few infos, no one having it), but is there some method I can use to get more informations on this problem ? I will try a kernel debugging, but for a "random" bug, it will be more harder. Some day it crash, some it don't crash!

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-23-generic 3.2.0-23.36
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: vono 2113 F.... pulseaudio
 /dev/snd/controlC2: vono 2113 F.... pulseaudio
 /dev/snd/controlC0: vono 2113 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf3cf8000 irq 69'
   Mixer name : 'Realtek ALC1200'
   Components : 'HDA:10ec0888,10438357,00100101'
   Controls : 45
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'XFi'/'Creative X-Fi 20K1 SB073x'
   Mixer name : '20K1'
   Components : ''
   Controls : 27
   Simple ctrls : 10
Card2.Amixer.info:
 Card hw:2 'Generic'/'HD-Audio Generic at 0xf3dfc000 irq 70'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 6
   Simple ctrls : 1
Card2.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
CurrentDmesg:
 [ 16.527645] r8169 0000:05:00.0: eth0: link up
 [ 16.528212] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
 [ 27.448590] eth0: no IPv6 routers present
Date: Sat Apr 21 12:25:11 2012
HibernationDevice: RESUME=UUID=6ebce938-3b5b-49a8-a605-570468643a2d
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=2179744d-7479-4972-970d-26d1713623d1 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/26/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0403
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P6T
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0403:bd02/26/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP6T:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Yvon TANGUY (vono22) wrote :
Yvon TANGUY (vono22) wrote :

$ cat /proc/version_signature
Ubuntu 3.2.0-23.36-generic 3.2.14

Yvon TANGUY (vono22) wrote :

Exemple of dmesg of a crash session

affects: ubuntu → linux (Ubuntu)
Brad Figg (brad-figg) on 2012-04-23
Changed in linux:
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc4-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: New → Incomplete
Yvon TANGUY (vono22) wrote :

Thank you for your reply.
I have just install and reboot with the new kernel, I just have to wait if I have again this bug.

Yvon TANGUY (vono22) wrote :

I had no crash on Monday and yesterday, after installing the kernel "v3.4-rc4-precise". For me it doesn't mean it will never happen again, but I have good hope, that this kernel fix the problem.

I will update this bug report if I see it again.

Thank you.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Yvon TANGUY (vono22) on 2012-04-25
tags: removed: needs-upstream-testing
tags: added: kernel-fixed-upstream
Nikolaus Waxweiler (madleser) wrote :

I'm hit by the same bug on my 5870. An additional calltrace that I could get from syslog is attached just for reference, it repeats a few times. Will try the newer kernel and report back.

Yvon TANGUY (vono22) wrote :

This morning I had my first crash with the kernel 3.4-rc4.

Exactly the same, but instead of being almost 1 or 2 a day, is less than 1 a week.
That is far better, but not completely solve though.

I have no call trace, what can I do to have it too ?
Thanks.

Nikolaus Waxweiler (madleser) wrote :

@Yvon: I got it from /var/log/syslog. Does the hanging also happen for you after suspend/resume or sometimes directly after boot? Because that's waht happend to me...

Yvon TANGUY (vono22) wrote :

No, it happen at any time. I do not do suspend/resume on this computer, it is a desktop computer.
I can have it like 1min, 3 hours or more after the system start. It is completely at a random time for me. Even some day, it do not crash at all, but sometimes it is 5 / 6 times a day...

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Bart Verwilst (verwilst) wrote :

I also have a Radeon HD6850, and i can't even get to a working desktop. It shows the desktop wallpaper, and the mouse, while getting the same message in syslog. I tried the 3.4.0-... kernel provided in comment #5, but that gives no improvement.

no longer affects: linux
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Yvon TANGUY (vono22) wrote :

Yes, it seems to be that one.

Nikolaus Waxweiler (madleser) wrote :

Still happens after the latest mesa update :(

brimlar (brimlar) wrote :

I just want to add that I started using Unity2D on 12.04 as a result of these crashes with this GPU lockup CP stall issue, and have had zero issues or crashes since doing so (if that helps anyone work around this in the meantime.)

On a strange note, I have not noticed this issue on a fresh Debian Testing KDE install on the same computer...I would think it would be using the same open Radeon driver (similar-ish kernel), but perhaps there is some difference I am unaware of. Sorry if this is meaningless / anecdotal.

Bart Verwilst (verwilst) wrote :

https://bugzilla.kernel.org/show_bug.cgi?id=42678 was about the inability to recover from a lockup i was told ( in that same bugreport ). In the meantime, a couple of months later, i still can't work 10 minutes on the normal Unity desktop without having to hard reset my pc because of lockups. Unity 2D works fine, but I want to get back to 3D. So... how do we proceed? Is there anything I can test? I really want to get back to the 11.10 state ( without actually reverting to 11.10 ).

Bart Verwilst (verwilst) wrote :

I have upgraded my stack with the packages from https://launchpad.net/~oibaf/+archive/graphics-drivers, and for the past 30 minutes i have been lock-free on Unity 3D. Still a little early to tell, but looking good! If this holds, maybe we can learn from this and try to distill a small fix?

Nikolaus Waxweiler (madleser) wrote :

Thanks for the tip, I'm also running those newer drivers now :) Let's see.

Nikolaus Waxweiler (madleser) wrote :

Side effect: after suspending and resuming, I always got display stutter when scrolling, moving windows, etc., at least in 11.10 and iirc also 12.04 -- with the new drivers, everything is approximately or exactly as smooth as before suspending. Nice.

Nikolaus Waxweiler (madleser) wrote :

Several days later and I have still not encountered any hangs or crashes.

Nikolaus Waxweiler (madleser) wrote :

Over a month later and still not a single hang with oibafs repo :)

Changed to that driver as well and so far works fine for me as well

I also suffer from this bug in quantal, including with today's latest driver version:

ii xserver-xorg-video-radeon 1:6.99.99~git20120913.8637f772-0ubuntu1 i386 X.Org X server -- AMD/ATI Radeon display driver

Strangely I never saw this bug in precise.

The symptoms are not always the same:

 - sometimes the GPU hangs and the kernel and X server recover correctly
 - sometimes the GPU hangs again and again, the X server becomes unusable and I have to reboot (which is a data loss bug)
 - once the X server even crashed (see bug #1061750)

Let me add the following comment from bug #980019:

In fact there are 2 different bugs:

 1. the fact that the GPU hangs in the first place
 2. the fact that the kernel is not able to recover

The first bug is probably in the xorg radeon driver and the second one in the radeon DRM driver in the kernel.

Download full text (3.2 KiB)

Here is a dmesg output in a case where the GPU hung twice in a row and the GPU resume failed the second time:

[72317.916119] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[72317.916132] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000001d62ad last fence id 0x00000000001d62a9)
[72317.917267] radeon 0000:01:00.0: GPU softreset
[72317.917275] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[72317.917282] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[72317.917289] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200000C0
[72317.917303] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
[72317.932197] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
[72317.948082] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[72317.948090] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[72317.948097] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200080C0
[72317.949094] radeon 0000:01:00.0: GPU reset succeed
[72317.953205] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[72317.953238] radeon 0000:01:00.0: WB enabled
[72317.953240] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000010000c00 and cpu addr 0xffc8ec00
[72317.984407] [drm] ring test on 0 succeeded in 1 usecs
[72317.984644] [drm] ib test on ring 0 succeeded in 0 usecs
[72319.220350] type=1701 audit(1349193168.886:83): auid=4294967295 uid=1000 gid=1000 ses=4294967295 pid=26825 comm="chrome" reason="seccomp" sig=0 syscall=20 compat=0 ip=0xb3510424 code=0x50000
[72329.872338] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[72329.872350] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000001d63b5 last fence id 0x00000000001d63b3)
[72329.873488] radeon 0000:01:00.0: GPU softreset
[72329.873496] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xE57C2030
[72329.873503] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00113303
[72329.873509] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200230C0
[72330.036637] radeon 0000:01:00.0: Wait for MC idle timedout !
[72330.036648] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
[72330.051531] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
[72330.067415] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[72330.067421] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[72330.067428] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x2002B0C0
[72330.068435] radeon 0000:01:00.0: GPU reset succeed
[72330.232982] radeon 0000:01:00.0: Wait for MC idle timedout !
[72330.396837] radeon 0000:01:00.0: Wait for MC idle timedout !
[72330.399208] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[72330.399300] radeon 0000:01:00.0: WB enabled
[72330.399304] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000010000c00 and cpu addr 0xffc8ec00
[72330.430520] [drm] ring test on 0 succeeded in 1 usecs
[72340.928074] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[72340.928087] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000001d63b7 last fence id 0x00000000001d63b6)
[72340.928095] [drm:r600_ib_test] *ERROR* radeon: fence wait failed (-35).
[72340.928101] [drm:radeon_ib_ring_tests] *ERROR*...

Read more...

Download full text (9.8 KiB)

Here is another instance of the problem where the GPU was in a hang/reset loop and was reset every 10 seconds until I rebooted the computer:

[47622.397324] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[47622.397337] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000003c03a3 last fence id 0x00000000003c037a)
[47622.398472] radeon 0000:01:00.0: GPU softreset
[47622.398481] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[47622.398488] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[47622.398495] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200210C0
[47622.549233] radeon 0000:01:00.0: Wait for MC idle timedout !
[47622.549238] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
[47622.564244] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
[47622.580250] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[47622.580252] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[47622.580255] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200290C0
[47622.581258] radeon 0000:01:00.0: GPU reset succeed
[47622.730801] radeon 0000:01:00.0: Wait for MC idle timedout !
[47622.879870] radeon 0000:01:00.0: Wait for MC idle timedout !
[47622.881837] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[47622.881861] radeon 0000:01:00.0: WB enabled
[47622.881864] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000010000c00 and cpu addr 0xffc8fc00
[47622.913269] [drm] ring test on 0 succeeded in 1 usecs
[47622.913316] [drm] ib test on ring 0 succeeded in 0 usecs
[47633.870095] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[47633.870109] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000003c03a7 last fence id 0x00000000003c03a4)
[47633.871254] radeon 0000:01:00.0: GPU softreset
[47633.871263] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[47633.871270] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[47633.871277] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200210C0
[47634.022603] radeon 0000:01:00.0: Wait for MC idle timedout !
[47634.022607] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
[47634.037612] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
[47634.053618] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003030
[47634.053621] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000003
[47634.053623] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200290C0
[47634.054626] radeon 0000:01:00.0: GPU reset succeed
[47634.205099] radeon 0000:01:00.0: Wait for MC idle timedout !
[47634.353397] radeon 0000:01:00.0: Wait for MC idle timedout !
[47634.355358] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[47634.355382] radeon 0000:01:00.0: WB enabled
[47634.355385] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000010000c00 and cpu addr 0xffc8fc00
[47634.387191] [drm] ring test on 0 succeeded in 1 usecs
[47634.387251] [drm] ib test on ring 0 succeeded in 0 usecs
[47645.348335] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[47645.348348] radeon 0000:01:00.0: GPU lockup (waiting for 0x00000000003c03ac last fence id 0x00000000003c03a8)
[47645.349492] radeon 0000:01:00.0:...

From bug #1061750 here is a reproducible way to trigger this bug:

1. install the google-chrome-unstable package from the Google apt repository. Currently it is this version:

ii google-chrome-unstable 24.0.1284.2-r159713 i386 The web browser from Google

The google-chrome-stable package is perhaps also worth a try (currently at version 22.0.1229.79-r158531)

2. run Google Chrome with:

  google-chrome --ignore-gpu-blacklist

3. visit this page:

  http://ie.microsoft.com/testdrive/Views/SiteMap/Default.html

4. try the "Fireworks" demo for a few seconds (other demos might also produce "interesting" results)

Other people running quantal can you also reproduce this bug ?

Nikolaus Waxweiler (madleser) wrote :

I'm on 12.10 x86_64 now with stock mesa and haven't encountered the bug yet.

Erik S (ofenfisch) wrote :

I did'nt had this issue with Ubuntu 11.10 and 12.04. 3 weeks ago I deleted all partitions and set up a brand new Xubuntu 12.10. These lockups occur randomly. Some of them blank the screen just once (with the 10sec of no-mouse-reaction before), the other ones keep blanking the screen every 10 secs, tty# works, but you're not able to get back a running system...
They only occur when I try to open/run graphic-heavy applications (Youtube-video, openGL-Games,...).

Yesterday it took me 3 hard resets and then I installed the PPA (comment #20) with:

sudo add-apt-repository ppa:oibaf/graphics-drivers

No more problems yesterday and today (til now)... Thanks for this, I'll keep testing ;)

Denis Pauk (pauk-denis) wrote :

I have same bug(message) when boot laptop - they are blinking after several seconds(~2sec) and dont show login screen. After hard poweroff - and than poweron i dont see any problem.
---------------
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.103668] radeon 0000:00:01.0: GPU lockup CP stall for more than 10000msec
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.103686] radeon 0000:00:01.0: GPU lockup (waiting for 0x0000000000000003 last fence id 0x0000000000000001)
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.104758] radeon 0000:00:01.0: GPU softreset
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.104762] radeon 0000:00:01.0: GRBM_STATUS=0xA0003828
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.104766] radeon 0000:00:01.0: GRBM_STATUS_SE0=0x00000007
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.104770] radeon 0000:00:01.0: GRBM_STATUS_SE1=0x00000007
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.104773] radeon 0000:00:01.0: SRBM_STATUS=0x20020940
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263492] radeon 0000:00:01.0: Wait for MC idle timedout !
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263496] radeon 0000:00:01.0: GRBM_SOFT_RESET=0x00007F6B
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263601] radeon 0000:00:01.0: GRBM_STATUS=0x00003828
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263604] radeon 0000:00:01.0: GRBM_STATUS_SE0=0x00000007
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263607] radeon 0000:00:01.0: GRBM_STATUS_SE1=0x00000007
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.263611] radeon 0000:00:01.0: SRBM_STATUS=0x20020940
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.264606] radeon 0000:00:01.0: GPU reset succeed
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.420521] radeon 0000:00:01.0: Wait for MC idle timedout !
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.581382] radeon 0000:00:01.0: Wait for MC idle timedout !
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.583891] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.583998] radeon 0000:00:01.0: WB enabled
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.584004] radeon 0000:00:01.0: fence driver on ring 0 use gpu addr 0x0000000018000c00 and cpu addr 0xffff8800618dcc00
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.755198] [drm:r600_ring_test] *ERROR* radeon: ring 0 test failed (scratch(0x8500)=0xCAFEDEAD)
Nov 10 13:09:16 denis-Lenovo-IdeaPad-S206 kernel: [ 28.755204] [drm:evergreen_resume] *ERROR* evergreen startup failed on resume
---------------

I have attached full log for this day.

Erik S (ofenfisch) wrote :

No good news for me...

Today my system crashed 2 times while running the radeon-driver and "supertuxkart" (both from oibaf's repository)...

But I found (at least for me) a way to reproduce a freeze:
1. Start system.
2. Open terminal and type "supertuxkart". Install this, if you havent done yet...
3. Enter and klick through the menu of "new race"...
4. Start playing and wait for freeze
5. Black screen every 10 seconds
6. (Try to get a running tty and save some log-files)

Have you experienced just one lockup, or have you had a series of these lockups?
 -> Mostly a series of lockups until I reboot my laptop. Sometimes even the kernel freezes...
 -> With the stock radeon-driver 5-10 times a week. With oibaf's packages only with some applications (without them 0 times a week ;) )

When did you first notice it?
 -> After deleting my old Ubuntu, and reinstalled Xubuntu

Under what conditions does it seem most likely to reproduce?
 -> Start some OpenGL-heavy application/games (like supertuxkart) and play a bit around.
 -> Even 10 seconds after boot up, this can occur. So: No relation to Suspend-to-Any.

I will try to get some backtraces... But somebody tell me please, where should I start? :)

Erik S (ofenfisch) wrote :

I'm going to add the output of "dmesg" "/var/log/Xorg.0.log" and the regDump of radeon as maintained here: https://wiki.ubuntu.com/X/Troubleshooting/Freeze#Reporting_GPU_lockup_Bugs

Sylvain Rabot (sylr) wrote :

I have the same problem on a freshly installed 12.10 amd64 when I play (for a few seconds) CS:1.6 on Steam Linux beta.
I tried comment #20 but it did not help.

rabosy@isis:~$ lspci -vvnn | grep VGA
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV620 LE [Radeon HD 3450] [1002:95c5] (prog-if 00 [VGA controller])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+

Erik S (ofenfisch) wrote :

This problem is still reproducible (I'm still using obiaf's PPA).

But I got a new clue: Lockups only occur, when I start graphic-heavy stuff (games, OpenGL, ... but not: Flash on Youtube or other media playback) with power-profile set to "low" on my card (HD 3650). Doing the same things on "high" causes no problems. I can even "trick" some Lockups with quick-switching from "low" to "high"-profile, when my mouse freezes and the screen starts blanking...

That's my workaround for now ;)

Tom Yan (tom-ty89) wrote :

Thanks for the workaround, it works for me too.

But my case it's a bit different. I am using Arch Linux and an HD5850. With mesa 9.0.2 and xf86-video-ati 7.1.0, once the profile is not "default", the issue would be gone. With the git version of those from a unofficial repo, once the profile has been changed to non-default once (which means even if I change it back to default again), the issue would be gone too. (Though there would be some "stuttering" instead.)

Craig (craig-st) wrote :
Download full text (6.8 KiB)

I think I've encountered the same bug:

***UNAME -A***:
Linux hostname 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

***VIDEO DRIVER***:
fglrx-updates 2:9.000-0ubuntu0.3

***X WINDOWS***:
X.Org X Server 1.11.3
Release Date: 2011-12-16
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.42-37-generic x86_64 Ubuntu
Current Operating System: Linux brain 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz root=/dev/mapper/volgroup0-root ro
Build Date: 27 February 2013 02:07:42AM
xorg-server 2:1.11.4-0ubuntu10.12 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.24.4

***SYSLOG***:
Mar 14 22:43:47 brain kernel: [162059.501652] Clocksource tsc unstable (delta = -417633604 ns)
Mar 14 22:43:47 brain kernel: [162059.501800] Switching to clocksource hpet
Mar 14 22:44:10 brain kernel: [162082.999465] sched: RT throttling activated
Mar 14 22:44:25 brain kernel: [162096.021897] radeon 0000:01:00.0: GPU lockup CP stall for more than 14700msec
Mar 14 22:44:25 brain kernel: [162096.021901] GPU lockup (waiting for 0x0042896F last fence id 0x0042896E)
Mar 14 22:44:32 brain kernel: [162103.166372] radeon 0000:01:00.0: GPU softreset
Mar 14 22:44:32 brain kernel: [162103.376060] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xFFFFFFFF
Mar 14 22:44:35 brain kernel: [162103.585767] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0xFFFFFFFF
Mar 14 22:44:35 brain kernel: [162103.795453] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0xFFFFFFFF
Mar 14 22:44:56 brain kernel: [162127.910957] hrtimer: interrupt took 629189350 ns
Mar 14 22:44:56 brain kernel: [162128.330282] BUG: soft lockup - CPU#2 stuck for 23s! [Xorg:1685]
Mar 14 22:44:56 brain kernel: [162128.330285] Modules linked in: nls_utf8 udf crc_itu_t nls_iso8859_1 nls_cp437 vfat fat pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) bnep rfcomm parport_pc ppdev bluetooth usblp snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep radeon pl2303 cdc_acm snd_pcm usbserial joydev snd_seq_midi ttm drm_kms_helper drm sp5100_tco snd_rawmidi snd_seq_midi_event snd_seq i2c_piix4 snd_timer i2c_algo_bit snd_seq_device nfsd nfs lockd snd fscache amd64_edac_mod edac_core soundcore snd_page_alloc edac_mce_amd binfmt_misc auth_rpcgss nfs_acl shpchp psmouse fam15h_power k10temp eeepc_wmi asus_wmi mac_hid serio_raw sparse_keymap sunrpc it87 hwmon_vid lp parport osst st dm_crypt usbhid hid usb_storage mxm_wmi aic79xx e1000e wmi
Mar 14 22:44:56 brain kernel: [162128.330338] CPU 2
Mar 14 22:45:06 brain kernel: [162128.330340] Modules linked in: nls_utf8 udf crc_itu_t nls_iso8859_1 nls_cp437 vfat fat pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) bnep rfcomm parport_pc ppdev bluetooth usblp snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep radeon pl2303 cdc_acm snd_pcm usbserial joydev snd_seq_midi ttm drm_kms_helper drm sp5100_tco snd_rawmidi snd_seq_midi_event snd_seq i2c_piix4 snd_timer i2c_algo_bit snd_seq_device nfsd nfs lockd snd fscache amd64_edac_mod edac_core soundcore snd_page_alloc edac_mce...

Read more...

Craig (craig-st) wrote :

***GRAPHICS CARD***:
VisionTek ATI Radeon HD 4670 1 GB DDR3 PCI Express Graphics Card 900251

renegat (rozbujnik) wrote :

Happens to me also when I launch trine2 game on linux steam. After a few seconds I get the GPU lockup error. Ubuntu 12.10;
However if I use xfce I am able to experience the bug seconds later than with unity.

***uname -a***
Linux rumcajs-Satellite-A300 3.5.0-26-generic #42-Ubuntu SMP Fri Mar 8 23:20:06 UTC 2013 i686 i686 i686 GNU/Linux

***lspci -nnk***
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV620 [Mobility Radeon HD 3400 Series] [1002:95c4]
 Subsystem: Toshiba America Info Systems Device [1179:ff1c]
 Kernel driver in use: radeon
 Kernel modules: radeon

Still happens on Ubuntu 13.04 with kernel 3.8 and on any Desktop Environment. It happens when using Blender, any 3D game or SDL game, or even at random if using a 3D desktop environment.

With KDE, the system will freeze even if left idle for a while.

ethan (r2ethan2) wrote :

Having this issue too, on Fedora though, so it's certianly upstream from you. Have the issue worst when playing Minecraft (often, not recoverable), also happens on TF2 on Steam Linux, though in that case it's recoverable. Not seeing anything odd in Xorg.0.log, but i've got this from my dmesg:
[ 3067.859336] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[ 3067.859344] radeon 0000:01:00.0: GPU lockup (waiting for 0x0000000000099aed last fence id 0x0000000000099ae6)
[ 3067.860419] radeon 0000:01:00.0: Saved 343 dwords of commands on ring 0.
[ 3067.860426] radeon 0000:01:00.0: GPU softreset: 0x00000003
[ 3067.864215] radeon 0000:01:00.0: GRBM_STATUS = 0xE5500828
[ 3067.864220] radeon 0000:01:00.0: GRBM_STATUS_SE0 = 0xEC000001
[ 3067.864224] radeon 0000:01:00.0: GRBM_STATUS_SE1 = 0x00000007
[ 3067.864227] radeon 0000:01:00.0: SRBM_STATUS = 0x200000C0
[ 3067.864230] radeon 0000:01:00.0: R_008674_CP_STALLED_STAT1 = 0x00000000
[ 3067.864233] radeon 0000:01:00.0: R_008678_CP_STALLED_STAT2 = 0x00010800
[ 3067.864237] radeon 0000:01:00.0: R_00867C_CP_BUSY_STAT = 0x00028006
[ 3067.864240] radeon 0000:01:00.0: R_008680_CP_STAT = 0x80038647
[ 3067.864243] radeon 0000:01:00.0: GRBM_SOFT_RESET=0x00007F6B
[ 3067.864297] radeon 0000:01:00.0: GRBM_STATUS = 0x00003828
[ 3067.864320] radeon 0000:01:00.0: GRBM_STATUS_SE0 = 0x00000007
[ 3067.864326] radeon 0000:01:00.0: GRBM_STATUS_SE1 = 0x00000007
[ 3067.864343] radeon 0000:01:00.0: SRBM_STATUS = 0x200000C0
[ 3067.864361] radeon 0000:01:00.0: R_008674_CP_STALLED_STAT1 = 0x00000000
[ 3067.864376] radeon 0000:01:00.0: R_008678_CP_STALLED_STAT2 = 0x00000000
[ 3067.864382] radeon 0000:01:00.0: R_00867C_CP_BUSY_STAT = 0x00000000
[ 3067.864387] radeon 0000:01:00.0: R_008680_CP_STAT = 0x00000000
[ 3067.881741] radeon 0000:01:00.0: GPU reset succeeded, trying to resume
[ 3067.899981] [drm] probing gen 2 caps for device 8086:151 = 3/e
[ 3067.899985] [drm] PCIE gen 2 link speeds already enabled
[ 3067.901926] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[ 3067.902030] radeon 0000:01:00.0: WB enabled
[ 3067.902032] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000040000c00 and cpu addr 0xffff88014235ac00
[ 3067.902033] radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000040000c0c and cpu addr 0xffff88014235ac0c
[ 3067.918240] [drm] ring test on 0 succeeded in 1 usecs
[ 3067.918305] [drm] ring test on 3 succeeded in 1 usecs
[ 3067.930434] [drm] ib test on ring 0 succeeded in 0 usecs
[ 3067.930477] [drm] ib test on ring 3 succeeded in 0 usecs

ethan (r2ethan2) wrote :

And this (repeated about a thousand times) in my tee'd log of Minecraft:
radeon: The kernel rejected CS, see dmesg for more information.
EE r600_pipe.c:80 r600_create_fence - r600: too many concurrent fences

Craig (craig-st) wrote :

I switched from the open source fglrx-updates 2:9.000-0ubuntu0.3 driver to the proprietary ATI/AMD FGLRX driver 2:8.960-0ubuntu1.1 and am still having problems, but can't swear that the problems are related to this bug, or are caused by a different bug. The problems I am now having after switching drivers look like the "[fglrx] ASIC hang happened" Bug #1059422.

Chascon (chascone) wrote :

I get the mentioned output when X locks up (mouse movement excluded) running with a radeon x1600 video card, Gallium 0.4 on ATI RV530. I usually manage to get to tty* to see the error repeatedly posted and sometimes, with the addition of "[drm:radeon_cs_chunk] *ERROR* failed to schedule IB!".

Circumstances around error:

To elaborate on the conditions around the time of the error, I can tell you you that I've noticed the problem when running shadows, transparency, transitions, fadings, and menu transparency via Compton, and shadows, fadings, and transparency via xcompmgr.

While I write this, X is working functions properly but dmesg | garep radeon outputs:

radeon 0000:01:00.0: registered panic notifier ... [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !

From there, killing the desktop session throws me back into a visually scrambled lightm, and the error continues to show up in tty1*. Doing sudo service lightdm restart (from tty*) does not alleviate the problem.

I don't catch any other errors. /var/log/Xorg.0.log does not report any (after a reboot, mind you) other than complaining, "Failed to load module "fglrx" (module does not exist, 0)" twice, but it's normal --or so I've been told by a Ubuntu dev.

Thoughts:

Since I no longer use unity desktop and compiz but xcompmgr and compton, and I've gotten the error with both of the latter, I can assume it's not a compositor issue. I should say that I used to get compiz (and Unity) crashing all the time two years ago or so, the reason why I stopped using Unity, but I can't say I ever noticed this particular error back then. I've been happily using OB with xcompmgr for the past two years or so, untill now.

I've always assumned the problems with Unity were video driver issues. So there's my two bits. Hopefully a savy dev can make sense of the source of the problem and issue a patch both locally and upstream.

I'm running Raring by the way.

Oibaf (oibaf) wrote :

This is a kernel bug, not ati ddx.

Changed in xf86-video-ati:
status: New → Invalid
wdesmet (kromagg) wrote :

Not sure if this is the same bug, but mine starts slightly differently, i.e.:
kernel: [79731.820027] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
kernel: [79731.820033] radeon 0000:01:00.0: GPU lockup (waiting for 0x000000000006efb7 last fence id 0x000000000006efb6)
kernel: [79731.820090] radeon 0000:01:00.0: couldn't schedule ib
kernel: [79731.820093] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
kernel: [79731.820119] radeon 0000:01:00.0: couldn't schedule ib
kernel: [79731.820123] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
kernel: [79731.821373] radeon 0000:01:00.0: couldn't schedule ib

And then just keeps going. After a while, it will start to output lines about failed allocations:
kernel: [79799.398689] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (14327808, 6, 4096, -12)
kernel: [79799.398766] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (14327808, 6, 4096, -12)
kernel: [79799.398849] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (14327808, 6, 4096, -12)
kernel: [79799.398929] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (14327808, 6, 4096, -12)
kernel: [79799.398971] [drm:radeon_gem_object_create] *ERROR* Failed to allocate GEM object (14327808, 6, 4096, -12)

The system quickly becomes unusable when this happens. The only solution is to reboot and wait till it happens again. It seems to always happen while scrolling or selecting text in google chrome (which I imagine can be taxing on some sites).

Oibaf (oibaf) wrote :

Wdesmet, you should report your problem here: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg (on drivers/radeon).

This bug still occurs in saucy when /sys/class/drm/card0/device/power_profile
contains "low". I have not seem any lockup with "high" or "mid".

I also tried dynpm in /sys/class/drm/card0/device/power_method and had an immediate lockup that forced me to reboot my computer.

Yvon TANGUY, as per http://www.asus.com/Motherboards/P6T/#support an update is available for your BIOS (1408). If you update to this following https://help.ubuntu.com/community/BiosUpdate , does it change anything?

If not, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful.

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Thank you for your understanding.

tags: added: bios-outdated-1408
tags: added: kernel-bug-exists-upstream needs-upstream-testing regression-potential
removed: kernel-fixed-upstream
no longer affects: linux (Ubuntu)
affects: xf86-video-ati → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Invalid → Incomplete
importance: Undecided → Medium
summary: - radeon 0000:02:00.0: GPU lockup CP stall for more than 10000msec
+ 1002:6739 [Asus P6T] radeon 0000:02:00.0: GPU lockup CP stall for more
+ than 10000msec
Changed in linux:
importance: Medium → Undecided
status: Confirmed → New
Yvon TANGUY (vono22) wrote :

Hi,

Sorry I didn't reply ... or very late!

Since I had this bug, I switched to the fglrx driver.
I have tested Ubuntu 13.10 a little bit, a few days, with the mesa driver, and I didn't get it again.
I have updated my BIOS too, but there was no change, anyway, I don't have anymore an Ubuntu 12.04.0 installed, I now run the 3.11 kernel on my Ubuntu 12.04.
I will start soon to test Ubuntu 14.04 on my main computer (I currently only run it on my second one). But I think, this problem seems to be solved with newer kernel + mesa + Xorg stack.

Thank you for the support.

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Yvon TANGUY, this bug report is being closed due to your last comment https://bugs.launchpad.net/linux/+bug/986524/comments/55 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: New → Confirmed
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.